# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [2.0.0] - 2024-03-14

### Added

- MongoDB-like query syntax support
- React hooks with debounce functionality
- Comprehensive TypeScript types and declarations
- Tree-shakeable exports for better bundle optimization
- Extensive documentation and usage examples
- `.vscode` configuration for improved development experience

### Changed

- Reorganized test files into `__tests__` directory
- Optimized bundle sizes
  - Core bundle: 438B
  - Hooks bundle: 695B
- Enhanced build configuration for better optimization
- Improved package structure and organization

### Improved

- Test coverage optimization (96.34% statements)
- Documentation structure and clarity
- Development workflow and tooling

### Developer Experience

- Added CONTRIBUTING.md guidelines
- Enhanced VSCode integration
- Improved build and test processes
